﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Department>

 @{
     IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Position> positions = ViewBag.AllPositions;
     IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Position> staffPos = ViewBag.StaffPositions;
    
}
@*<div class="col-lg-12 col-sm-12 col-xs-12">
    @{ 
        bool ok = false;
        foreach (var item in Model)
        {
              //pos
        <div class="row">
            <label for="emailInput" style="font-size: 14px; width: 100%; padding: 2px 10px" class="label-default"><b>@item.Department.DepName</b></label>
        </div>
            var staff = item.Staffs.FirstOrDefault(p => p.StaffID == ViewBag.StaffID);

            if (staff != null)
            {
                ok = true;
            }
            if (ok == true)
            {
        <div class="checkbox">
            <label>
                <input id="PosID" class="colored-danger" name="PosID" type="checkbox" value="@item.PosID" checked="checked"/>
                <input type="hidden" value="false" /><span class="text">@item.PosName</span></label>
        </div>
            }
            else
            {
        <div class="checkbox">
            <label>
                <input id="PosID" class="colored-danger" name="PosID" type="checkbox" value="@item.PosID" />
                <input type="hidden" value="false" /><span class="text">@item.PosName</span></label>
        </div>
            }
            ok = false;

        }
    }
</div>*@

<div class="col-lg-12 col-sm-12 col-xs-12">
    @{ bool ok = false;
       foreach (var item in Model)
       { 
           //pos
        <div class="row">
            <label for="emailInput" style="font-size: 14px; width: 100%; padding: 2px 10px" class="label-default"><b>@item.DepName</b></label>
        </div>
           foreach (var pos in positions)
           {
               if (staffPos != null)
               {
                   foreach (var stp in staffPos)
                   {
                       if (pos.PosID == stp.PosID)
                       {
                           ok = true;
                       }
                   }
               }
               if (pos.DepID == item.DepID)
               {
                   if (ok == true)
                   {
        <div class="checkbox">
            <label>
                <input id="PosID" class="colored-danger" name="PosID" type="checkbox" value="@pos.PosID" checked="checked"/>
                <input type="hidden" value="false" /><span class="text">@pos.PosName</span></label>
        </div>  
                   }
                   else
                   {
        <div class="checkbox">
            <label>
                <input id="PosID" class="colored-danger" name="PosID" type="checkbox" value="@pos.PosID" />
                <input type="hidden" value="false" /><span class="text">@pos.PosName</span></label>
        </div>  
                   }
               }

               ok = false;
           }
           //end pos

       }

    }
</div>